Skip to navigation

Get bucketed network metrics for a deployment

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
Deployment ID

Query parameters

directionstringRequired

inbound | outbound | database

metricstringRequired

rate | errors | latency_p95 | bytes

start_timestringOptional

Start time (RFC3339); defaults to one hour ago

end_timestringOptional

End time (RFC3339); defaults to now

stepstringOptional

Bucket size as a Go duration; default 30s, minimum 15s

group_bystringOptional

peer | status_class — capped at 8 series for peer

Response

OK
directionstringOptional
metricstringOptional
serieslist of objectsOptional
stepstringOptional